# class SS7TCAPComponent | SS7 TCAP component implementation. More...
Full name | `TelEngine::SS7TCAPComponent`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::GenObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum TCAPComponentState { Idle, OperationPending, OperationSent, WaitForReject, }

#### Public Methods

- SS7TCAPComponent (SS7TCAP::TCAPType type, SS7TCAPTransaction* trans, NamedList& params, unsigned int index)
- virtual ~SS7TCAPComponent ()
- virtual void update (NamedList& params, unsigned int index)
- virtual void fill (unsigned int index, NamedList& fillIn)
- void setTransaction (SS7TCAPTransaction* transact)
- SS7TCAPTransaction* transaction ()
- inline void setType (SS7TCAP::TCAPUserCompActions type)
- inline SS7TCAP::TCAPUserCompActions type ()
- virtual void setInvokeID (String invokeID)
- virtual const String& toString () const
- virtual const String& correlationID () const
- inline bool timedOut ()
- void setState (TCAPComponentState state)
- inline TCAPComponentState state ()
- void resetTimer (NamedList& params, unsigned int index)
- SS7TCAP::TCAPComponentOperationClass operationClass ()

#### Public Static Methods

- static SS7TCAPComponent* componentFromNamedList (SS7TCAP::TCAPType type, SS7TCAPTransaction* tr, NamedList& params, unsigned int index)

#### Public Members

- static const TokenDict s_compStates[]

## Detailed Description

Implementation of SS7 Transactional Capabilities Application Part Component

enum TCAPComponentState { Idle, OperationPending, OperationSent, WaitForReject, } | ### TCAPComponentState

Component state

SS7TCAPComponent (SS7TCAP::TCAPType type, SS7TCAPTransaction* trans, NamedList& params, unsigned int index) | ### SS7TCAPComponent

Constructor

Parameters:

type | TCAP type for which to build this component
trans | TCAP transaction to which this component belongs to
params | Parameters for building component
index | Index in the list of parameters

~SS7TCAPComponent () | ### ~SS7TCAPComponent

[virtual]

Destructor

void update (NamedList& params, unsigned int index) | ### update

[virtual]

Update this component's data

Parameters:

params | Update parameters
index | Index of parameters in the list for the update of this component

void fill (unsigned int index, NamedList& fillIn) | ### fill

[virtual]

Put the information of the component in a NamedList

Parameters:

index | Index for build parameter names
fillIn | NamedList to fill with this component's information

SS7TCAPComponent* componentFromNamedList (SS7TCAP::TCAPType type, SS7TCAPTransaction* tr, NamedList& params, unsigned int index) | ### componentFromNamedList

[static]

Build a TCAP Component from a NamedList

Parameters:

type | TCAP type of component
tr | The transaction to which this component should belong
params | Parameters for building the component
index | Index in the list of parameters

Returns: A pointer to the built SS7TCAPComponent or nil if not all required parameters are present

void setTransaction (SS7TCAPTransaction* transact) | ### setTransaction

Set the transaction to which this component belongs to

Parameters:

transact | TCAP transaction

SS7TCAPTransaction* transaction () | ### transaction

Returns the transaction to which this component belongs to.

inline void setType (SS7TCAP::TCAPUserCompActions type) | ### setType

Set the type for this component

Parameters:

type | The type of the component

inline SS7TCAP::TCAPUserCompActions type () | ### type

Get the type of the component

void setInvokeID (String invokeID) | ### setInvokeID

[virtual]

Set the Invoke ID for this component

Parameters:

invokeID | The invoke ID to assign

const String& toString () | ### toString

[const virtual]

String representation of this component's Invoke ID

Returns: String representation of Invoke ID

Reimplemented from GenObject.

const String& correlationID () | ### correlationID

[const virtual]

String representation of this component's Correlation ID

Returns: String representation of Correlation ID

inline bool timedOut () | ### timedOut

Check if the component has timed out

Returns: True if the component timed out, false otherwise

void setState (TCAPComponentState state) | ### setState

Set component state

Parameters:

state | The state to be set

inline TCAPComponentState state () | ### state

Obtain the component state

Returns: The component state

void resetTimer (NamedList& params, unsigned int index) | ### resetTimer

Reset invocation timer on user request

Parameters:

params | List of parameters
index | Index of this component's parameters in the list

SS7TCAP::TCAPComponentOperationClass operationClass () | ### operationClass

Retrieve operation class for this component

Returns: The class of the operation

static const TokenDict s_compStates[] | ### s_compStates[]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.